Delete agent policy by ID

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_policies/delete
  • POST /s/{space_id}/api/fleet/agent_policies/delete
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

agentPolicyId string required
force boolean

bypass validation checks that can prevent agent policy deletion

Responses

OK

application/json
id string required
success boolean required

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}